VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkImageDrmFormatModifierPropertiesEXT const & () const
| operator VkImageDrmFormatModifierPropertiesEXT & ()
bool | operator== (ImageDrmFormatModifierPropertiesEXT const &rhs) const
bool | operator!= (ImageDrmFormatModifierPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint64_t | drmFormatModifier

## Private Attributes

StructureType | sType = StructureType::eImageDrmFormatModifierPropertiesEXT

## Detailed Description

Definition at line 21083 of file vulkan.hpp.

## Member Function Documentation

## operator VkImageDrmFormatModifierPropertiesEXT &()

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::operator VkImageDrmFormatModifierPropertiesEXT & | ( |  | ) |

inline

Definition at line 21090 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageDrmFormatModifierPropertiesEXT*>(this);
}

## operator VkImageDrmFormatModifierPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::operator VkImageDrmFormatModifierPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 21085 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageDrmFormatModifierPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::operator!= | ( | ImageDrmFormatModifierPropertiesEXT const & | rhs | ) | const

inline

Definition at line 21102 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::operator== | ( | ImageDrmFormatModifierPropertiesEXT const & | rhs | ) | const

inline

Definition at line 21095 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( drmFormatModifier == rhs.drmFormatModifier );
}

References drmFormatModifier, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## drmFormatModifier

uint64_t VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::drmFormatModifier

Definition at line 21112 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::pNext = nullptr

Definition at line 21111 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::sType = StructureType::eImageDrmFormatModifierPropertiesEXT

private

Definition at line 21108 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:21108
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::operator==
bool operator==(ImageDrmFormatModifierPropertiesEXT const &rhs) const
Definition: vulkan.hpp:21095
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:21111
VkImageDrmFormatModifierPropertiesEXT
Definition: vulkan_core.h:7836
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierPropertiesEXT::drmFormatModifier
uint64_t drmFormatModifier
Definition: vulkan.hpp:21112